USRP Hardware Driver and USRP Manual: uhd::math::fp_compare Namespace Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Classes | Functions
uhd::math::fp_compare Namespace Reference

## Classes
class | fp_compare_delta
class | fp_compare_epsilon
class | freq_compare_epsilon
| An alias for fp_compare_epsilon, but with defaults for frequencies. More...

## Functions
template<typename float_t>
UHD_INLINE float_t | fp_compare_select_delta (float_t lhs_delta, float_t rhs_delta)
template<typename float_t>
UHD_INLINE bool | operator== (fp_compare_delta< float_t > lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator!= (fp_compare_delta< float_t > lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator< (fp_compare_delta< float_t > lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator<= (fp_compare_delta< float_t > lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator> (fp_compare_delta< float_t > lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator>= (fp_compare_delta< float_t > lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator== (fp_compare_delta< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator!= (fp_compare_delta< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator< (fp_compare_delta< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator<= (fp_compare_delta< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator> (fp_compare_delta< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator>= (fp_compare_delta< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator== (double lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator!= (double lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator< (double lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator<= (double lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator> (double lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator>= (double lhs, fp_compare_delta< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator== (fp_compare_epsilon< float_t > lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator!= (fp_compare_epsilon< float_t > lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator< (fp_compare_epsilon< float_t > lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator<= (fp_compare_epsilon< float_t > lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator> (fp_compare_epsilon< float_t > lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator>= (fp_compare_epsilon< float_t > lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator== (fp_compare_epsilon< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator!= (fp_compare_epsilon< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator< (fp_compare_epsilon< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator<= (fp_compare_epsilon< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator> (fp_compare_epsilon< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator>= (fp_compare_epsilon< float_t > lhs, double rhs)
template<typename float_t>
UHD_INLINE bool | operator== (double lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator!= (double lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator< (double lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator<= (double lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator> (double lhs, fp_compare_epsilon< float_t > rhs)
template<typename float_t>
UHD_INLINE bool | operator>= (double lhs, fp_compare_epsilon< float_t > rhs)

## Function Documentation

## ◆ fp_compare_select_delta()

template<typename float_t>

UHD_INLINE float_t uhd::math::fp_compare::fp_compare_select_delta | ( | float_t | lhs_delta,
|  | float_t | rhs_delta )

## ◆ operator!=() [1/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator!= | ( | double | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator!=() [2/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator!= | ( | double | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator!=() [3/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator!= | ( | fp_compare_delta< float_t > | lhs,
|  | double | rhs )

## ◆ operator!=() [4/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator!= | ( | fp_compare_delta< float_t > | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator!=() [5/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator!= | ( | fp_compare_epsilon< float_t > | lhs,
|  | double | rhs )

## ◆ operator!=() [6/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator!= | ( | fp_compare_epsilon< float_t > | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator<() [1/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator< | ( | double | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator<() [2/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator< | ( | double | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator<() [3/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator< | ( | fp_compare_delta< float_t > | lhs,
|  | double | rhs )

## ◆ operator<() [4/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator< | ( | fp_compare_delta< float_t > | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator<() [5/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator< | ( | fp_compare_epsilon< float_t > | lhs,
|  | double | rhs )

## ◆ operator<() [6/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator< | ( | fp_compare_epsilon< float_t > | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator<=() [1/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator<= | ( | double | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator<=() [2/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator<= | ( | double | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator<=() [3/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator<= | ( | fp_compare_delta< float_t > | lhs,
|  | double | rhs )

## ◆ operator<=() [4/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator<= | ( | fp_compare_delta< float_t > | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator<=() [5/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator<= | ( | fp_compare_epsilon< float_t > | lhs,
|  | double | rhs )

## ◆ operator<=() [6/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator<= | ( | fp_compare_epsilon< float_t > | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator==() [1/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator== | ( | double | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator==() [2/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator== | ( | double | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator==() [3/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator== | ( | fp_compare_delta< float_t > | lhs,
|  | double | rhs )

## ◆ operator==() [4/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator== | ( | fp_compare_delta< float_t > | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator==() [5/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator== | ( | fp_compare_epsilon< float_t > | lhs,
|  | double | rhs )

## ◆ operator==() [6/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator== | ( | fp_compare_epsilon< float_t > | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator>() [1/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator> | ( | double | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator>() [2/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator> | ( | double | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator>() [3/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator> | ( | fp_compare_delta< float_t > | lhs,
|  | double | rhs )

## ◆ operator>() [4/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator> | ( | fp_compare_delta< float_t > | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator>() [5/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator> | ( | fp_compare_epsilon< float_t > | lhs,
|  | double | rhs )

## ◆ operator>() [6/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator> | ( | fp_compare_epsilon< float_t > | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator>=() [1/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator>= | ( | double | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator>=() [2/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator>= | ( | double | lhs,
|  | fp_compare_epsilon< float_t > | rhs )

## ◆ operator>=() [3/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator>= | ( | fp_compare_delta< float_t > | lhs,
|  | double | rhs )

## ◆ operator>=() [4/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator>= | ( | fp_compare_delta< float_t > | lhs,
|  | fp_compare_delta< float_t > | rhs )

## ◆ operator>=() [5/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator>= | ( | fp_compare_epsilon< float_t > | lhs,
|  | double | rhs )

## ◆ operator>=() [6/6]

template<typename float_t>

UHD_INLINE bool uhd::math::fp_compare::operator>= | ( | fp_compare_epsilon< float_t > | lhs,
|  | fp_compare_epsilon< float_t > | rhs )